ubuntu 没有sshd_config文件,不能ssh来连接

qjf_Troy 发布于 2014/12/18 21:28
阅读 5K+
收藏 0

今天安装了一个ubuntu的虚拟机,但是发现安装好之后不能用putty去连接,不知道是怎么回事了,以下分别是putty连接时的截图和虚拟机中的截图,还希望那个大神告知这是怎么回事,也试过用apt-get update/install 命令了,但是还不行,不知道是怎么回事了,而且我的/etc/ssh/ 下也没有sshd_config文件,这是为什么呀

那个登陆的ip我也换过用192.x.x.x登陆过,也是不行包的也是同一个错误

 

加载中
2
eechen
eechen
sudo apt-get install openssh-server
0
阿亚
阿亚
sshd是ssh的服务器端,你可能没安装吧
0
王培明
王培明
大哥 你127.0.0.1 是本机IP地址 上哪去登陆虚拟机啊  用ifconfig查看ubuntu的IP 先PING同后再登陆吧
0
qjf_Troy
qjf_Troy

引用来自“王培明”的评论

大哥 你127.0.0.1 是本机IP地址 上哪去登陆虚拟机啊  用ifconfig查看ubuntu的IP 先PING同后再登陆吧

那个ip我也试过了忘了在问题描述中加了

0
qjf_Troy
qjf_Troy

引用来自“阿亚”的评论

sshd是ssh的服务器端,你可能没安装吧

我现在也发现应该是没装这个服务,但是我apt-get安装的时候提示

 

Feng_Yu
Feng_Yu
openssh-server
0
qjf_Troy
qjf_Troy

引用来自“王培明”的评论

大哥 你127.0.0.1 是本机IP地址 上哪去登陆虚拟机啊  用ifconfig查看ubuntu的IP 先PING同后再登陆吧

这个我这边是可以ping通的,用虚拟机ip登陆和127.0.0.1登陆一样也会出错

0
qjf_Troy
qjf_Troy

引用来自“eechen”的评论

sudo apt-get install openssh-server
每次安装都回提示 Unable to locate package openssh server,然后我查了下这个问题,都说是让apt-get update,结果我发现我update之后还是这个问题,说是没有这个包,不知道是如何回事呀
leo108
leo108
回复 @eechen : 看了这个真的是捉急啊……
eechen
eechen
是 openssh-server , 不要省掉中间的 - 号.
0
Feng_Yu
Feng_Yu
确认你的ubuntu没有EOL。另外,update如果失败有提示信息,确保没有遇到报错
0
eechen
eechen

引用来自“eechen”的评论

sudo apt-get install openssh-server

引用来自“qjf_swallretu”的评论

每次安装都回提示 Unable to locate package openssh server,然后我查了下这个问题,都说是让apt-get update,结果我发现我update之后还是这个问题,说是没有这个包,不知道是如何回事呀
sudo cp /etc/apt/sources.list /etc/apt/sources.list.old
然后添加以下源,示例为中科大:
deb http://mirrors.ustc.edu.cn/ubuntu/ trusty main restricted universe multiverse
deb http://mirrors.ustc.edu.cn/ubuntu/ trusty-security main restricted universe multiverse
deb http://mirrors.ustc.edu.cn/ubuntu/ trusty-updates main restricted universe multiverse
deb http://mirrors.ustc.edu.cn/ubuntu/ trusty-proposed main restricted universe multiverse
deb http://mirrors.ustc.edu.cn/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://mirrors.ustc.edu.cn/ubuntu/ trusty main restricted universe multiverse
deb-src http://mirrors.ustc.edu.cn/ubuntu/ trusty-security main restricted universe multiverse
deb-src http://mirrors.ustc.edu.cn/ubuntu/ trusty-updates main restricted universe multiverse
deb-src http://mirrors.ustc.edu.cn/ubuntu/ trusty-proposed main restricted universe multiverse
deb-src http://mirrors.ustc.edu.cn/ubuntu/ trusty-backports main restricted universe multiverse
其中 trusty 为14.04的代号,可以执行lsb_release -a查看.
然后执行 sudo apt-get update 使配置生效.应该就能正常安装软件了.
Feng_Yu
Feng_Yu
原因是少了个dash,看他的截图就知道了
返回顶部
顶部